io.vertx.rxjava.ext.web.handler

## Class TemplateHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.TemplateHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class TemplateHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which renders responses using a template engine and where the template name is selected from the URI path.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<TemplateHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateHandler(TemplateHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TemplateHandler` | `create(TemplateEngine engine)` Create a handler
    `static TemplateHandler` | `create(TemplateEngine engine, String templateDirectory, String contentType)` Create a handler
    `TemplateHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static TemplateHandler` | `newInstance(TemplateHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<TemplateHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### TemplateHandler

          public TemplateHandler(TemplateHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public TemplateHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static TemplateHandler create(TemplateEngine engine)

      Create a handler
      Parameters:
        `engine` - the template engine
      Returns:
        the handler

    - #### create

          public static TemplateHandler create(TemplateEngine engine,
                                               String templateDirectory,
                                               String contentType)

      Create a handler
      Parameters:
        `engine` - the template engine
        `templateDirectory` - the template directory where templates will be looked for
        `contentType` - the content type header to be used in the response
      Returns:
        the handler

    - #### newInstance

          public static TemplateHandler newInstance(TemplateHandler arg)

Copyright © 2017. All rights reserved.